import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
public class LookAndFeelWithNimbus extends JFrame {
  Container c;              // Container dieses Frames
  JButton b1, b2;           // Buttons
  JComboBox cb;             // Combo-Box
  JFrame f = this;          // Referenz auf dieses Frame
  
  public LookAndFeelWithNimbus() {    // Konstruktor
    c = getContentPane();             // Container bestimmen
    c.setLayout(new FlowLayout());    // Layout setzen
    
    // Erzeuge die Buttons und die Combo-Box
    b1 = new JButton("Metal Look and Feel");
    b2 = new JButton("Nimbus Look and Feel");
    cb = new JComboBox();
    cb.addItem("Metal Look and Feel");
    cb.addItem("Nimbus Look and Feel");

    // Fuege die Komponenten dem Frame hinzu
    c.add(b1);
    c.add(b2);
    c.add(cb);
    
    // Erzeuge den Listener und registriere ihn
    LafListener ll = new LafListener();
    b1.addActionListener(ll);
    b2.addActionListener(ll);
    cb.addItemListener(ll);
  }
  // Innere Listener-Klasse
  public class LafListener implements ItemListener,ActionListener {
    //
    String[] laf = 
               {"javax.swing.plaf.metal.MetalLookAndFeel",
                "javax.swing.plaf.nimbus.NimbusLookAndFeel"};
        
    // Fuer das ItemListener-Interface
    public void itemStateChanged(ItemEvent e) {
      try {
        int i = cb.getSelectedIndex();
        UIManager.setLookAndFeel(laf[i]);
      }
      catch (Exception ex) {
        System.err.println(ex);
      }
      SwingUtilities.updateComponentTreeUI(f);
    }
    // Fuer das ActionListener-Interface
    public void actionPerformed(ActionEvent e) {
      try {
        int i;
        if (e.getSource() == b1)
          i = 0;
        else
          i = 1;
        UIManager.setLookAndFeel(laf[i]);
        cb.setSelectedIndex(i);
      }
      catch (Exception ex) {
        System.err.println(ex);
      }
      SwingUtilities.updateComponentTreeUI(f);
    }
  }  
  public static void main(String[] args) {
    LookAndFeelWithNimbus fenster = new LookAndFeelWithNimbus();
    fenster.setTitle("Look and feel einstellen");
    fenster.setSize(350,110);
    fenster.setVisible(true);
    fenster.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
  }
}
